IM_IOCHECK(3)

NAME
im_pincheck, im_poutcheck, im_piocheck - checks image descriptors for PIO

SYNOPSIS
#include <vips/vips.h> int im_pincheck( in )
IMAGE *in; int im_poutcheck( out )
IMAGE *out; int im_piocheck( in, out)
IMAGE *in, *out;

DESCRIPTION
im_pincheck(3) checks that an image descriptor is suitable for PIO input. If the descriptor is IM_OPENOUT and the descriptor has been written to, it is automatically `rewound,' that is, it is closed and reopened as an IM_MMAPIN descriptor. im_poutcheck(3) checks that a descriptor is suitable for PIO output. im_piocheck(3) simply calls in_pincheck(3) for image in and im_poutcheck(3) for image out.

RETURN VALUE
All functions returns 0 on success and -1 on error.

SEE ALSO
im_generate(3), im_open(3). `VIPS Library Programmers' Guide,' in accompanying documentation.

COPYRIGHT
National Gallery

AUTHOR
J. Cupitt - 23/7/93